org.apache.lucene.analysis.fa

## Class PersianCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.fa.PersianCharFilterFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

      public class PersianCharFilterFactory
      extends CharFilterFactory
      implements MultiTermAwareComponent

  Factory for `PersianCharFilter`.

       <fieldType name="text_fa" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <charFilter class="solr.PersianCharFilterFactory"/>
           <tokenizer class="solr.StandardTokenizerFactory"/>
         </analyzer>
       </fieldType>

  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersianCharFilterFactory(Map<String,String> args)` Creates a new PersianCharFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharFilter` | `create(Reader input)` Wraps the given Reader with a CharFilter.
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Returns an analysis component to handle analysis if multi-term queries.

    - ### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

      `availableCharFilters, forName, lookupClass, reloadCharFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersianCharFilterFactory

          public PersianCharFilterFactory(Map<String,String> args)

      Creates a new PersianCharFilterFactory

  - ### Method Detail

    - #### create

          public CharFilter create(Reader input)

      Description copied from class: `CharFilterFactory`
      Wraps the given Reader with a CharFilter.
      Specified by:
        `create` in class `CharFilterFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.